from django.db import models
from django.contrib.auth.models import User
from main.models import UserBook

# Create your models here.
class Group(models.Model):
    name = models.CharField(max_length=200, null=True, blank=True)
    description = models.TextField(null=True, blank=True)
    users = models.ManyToManyField(User, related_name = "users")
    creator = models.ForeignKey(User, related_name = "creator")
    admins = models.ManyToManyField(User, related_name = "admins")
    locationLatLong = models.CharField(max_length=200, null=True, blank=True)
    location = models.CharField(max_length=200, null=True, blank=True)
    
    #maybe filter for duplicates etc.
    def getBooksInGroup(self):
        bookLists = GroupUserBookList.objects.filter(group = self)
        return bookLists
    
    def addUserToGroup(self,user):
        self.users.add(user)
        userBookList = GroupUserBookList(owner = user, group=self)
        userBookList.save()
        
    def isUserAdmin(self, user):
        return (self.admins.filter(id = user.id).count() or self.creator == user)
   
class GroupUserBookList(models.Model):
    owner = models.ForeignKey(User, related_name = "owner")
    group = models.ForeignKey(Group, related_name = "group")
    books = models.ManyToManyField(UserBook, related_name = "books", null=True, blank=True) 