from main import models
from django.contrib import admin

class BookAdmin(admin.ModelAdmin):
    list_display = ('title','author')

class BorrowLocationAdmin(admin.ModelAdmin):
    list_display = ('actualUser','name')

class UserBookAdmin(admin.ModelAdmin):
    list_display = ('owner','bookTitle')
    
    def bookTitle (self,obj):
        return obj.book.title

class BorrowRequestAdmin(admin.ModelAdmin):
    list_display = ('owner','requester','bookTitle')
    
    def owner(self,obj):
        return obj.userbook.owner
    
    def bookTitle(self,obj):
        return obj.userbook.book.title

admin.site.register(models.Book, BookAdmin)
admin.site.register(models.BorrowLocation,BorrowLocationAdmin)
admin.site.register(models.UserBook,UserBookAdmin)
admin.site.register(models.BorrowRequest, BorrowRequestAdmin)
admin.site.register(models.BorrowHistory)
admin.site.register(models.BookList)