# encoding: utf-8
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models

class Migration(SchemaMigration):
    
    def forwards(self, orm):
        
        # Adding model 'Book'
        db.create_table('main_book', (
            ('asin', self.gf('django.db.models.fields.CharField')(max_length=20, null=True, blank=True)),
            ('isbn', self.gf('django.db.models.fields.CharField')(max_length=20, null=True, blank=True)),
            ('author', self.gf('django.db.models.fields.CharField')(max_length=200, null=True, blank=True)),
            ('title', self.gf('django.db.models.fields.CharField')(max_length=200)),
            ('coverUrl', self.gf('django.db.models.fields.CharField')(max_length=200, null=True, blank=True)),
            ('gid', self.gf('django.db.models.fields.CharField')(unique=True, max_length=30)),
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
        ))
        db.send_create_signal('main', ['Book'])

        # Adding model 'UserProfile'
        db.create_table('main_userprofile', (
            ('facebookId', self.gf('django.db.models.fields.CharField')(max_length=100, null=True, blank=True)),
            ('twitterUsername', self.gf('django.db.models.fields.CharField')(max_length=100, null=True, blank=True)),
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('user', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['auth.User'], unique=True)),
        ))
        db.send_create_signal('main', ['UserProfile'])

        # Adding model 'BorrowLocation'
        db.create_table('main_borrowlocation', (
            ('name', self.gf('django.db.models.fields.CharField')(max_length=100, null=True, blank=True)),
            ('actualUser', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name='actualuser', null=True, to=orm['auth.User'])),
            ('notes', self.gf('django.db.models.fields.CharField')(max_length=1000, null=True, blank=True)),
            ('relatedTo', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name='relatedto', null=True, to=orm['auth.User'])),
            ('email', self.gf('django.db.models.fields.EmailField')(max_length=200, null=True, blank=True)),
            ('facebookId', self.gf('django.db.models.fields.CharField')(max_length=100, null=True, blank=True)),
            ('twitterUsername', self.gf('django.db.models.fields.CharField')(max_length=100, null=True, blank=True)),
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
        ))
        db.send_create_signal('main', ['BorrowLocation'])

        # Adding model 'UserBook'
        db.create_table('main_userbook', (
            ('isLent', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('lentDate', self.gf('django.db.models.fields.DateField')(null=True, blank=True)),
            ('book', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['main.Book'])),
            ('returndue', self.gf('django.db.models.fields.DateField')(null=True, blank=True)),
            ('owner', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['auth.User'])),
            ('currentLocation', self.gf('django.db.models.fields.related.ForeignKey')(default=False, related_name='location', null=True, blank=True, to=orm['main.BorrowLocation'])),
        ))
        db.send_create_signal('main', ['UserBook'])

        # Adding model 'BorrowRequest'
        db.create_table('main_borrowrequest', (
            ('status', self.gf('django.db.models.fields.CharField')(max_length=20)),
            ('userbook', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['main.UserBook'])),
            ('requestDate', self.gf('django.db.models.fields.DateField')()),
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('requester', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['auth.User'])),
        ))
        db.send_create_signal('main', ['BorrowRequest'])

        # Adding unique constraint on 'BorrowRequest', fields ['userbook', 'requester']
        db.create_unique('main_borrowrequest', ['userbook_id', 'requester_id'])

        # Adding model 'BorrowHistory'
        db.create_table('main_borrowhistory', (
            ('userbook', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['main.UserBook'])),
            ('returndate', self.gf('django.db.models.fields.DateField')()),
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('borrowdate', self.gf('django.db.models.fields.DateField')()),
            ('requester', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['auth.User'])),
        ))
        db.send_create_signal('main', ['BorrowHistory'])
    
    
    def backwards(self, orm):
        
        # Deleting model 'Book'
        db.delete_table('main_book')

        # Deleting model 'UserProfile'
        db.delete_table('main_userprofile')

        # Deleting model 'BorrowLocation'
        db.delete_table('main_borrowlocation')

        # Deleting model 'UserBook'
        db.delete_table('main_userbook')

        # Deleting model 'BorrowRequest'
        db.delete_table('main_borrowrequest')

        # Removing unique constraint on 'BorrowRequest', fields ['userbook', 'requester']
        db.delete_unique('main_borrowrequest', ['userbook_id', 'requester_id'])

        # Deleting model 'BorrowHistory'
        db.delete_table('main_borrowhistory')
    
    
    models = {
        'auth.group': {
            'Meta': {'object_name': 'Group'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '80'}),
            'permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'blank': 'True'})
        },
        'auth.permission': {
            'Meta': {'unique_together': "(('content_type', 'codename'),)", 'object_name': 'Permission'},
            'codename': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'content_type': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['contenttypes.ContentType']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        'auth.user': {
            'Meta': {'object_name': 'User'},
            'date_joined': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '75', 'blank': 'True'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'groups': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Group']", 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'is_staff': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'is_superuser': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'last_login': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'user_permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'blank': 'True'}),
            'username': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '30'})
        },
        'contenttypes.contenttype': {
            'Meta': {'unique_together': "(('app_label', 'model'),)", 'object_name': 'ContentType', 'db_table': "'django_content_type'"},
            'app_label': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'model': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        'main.book': {
            'Meta': {'object_name': 'Book'},
            'asin': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'author': ('django.db.models.fields.CharField', [], {'max_length': '200', 'null': 'True', 'blank': 'True'}),
            'coverUrl': ('django.db.models.fields.CharField', [], {'max_length': '200', 'null': 'True', 'blank': 'True'}),
            'gid': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '30'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'isbn': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'title': ('django.db.models.fields.CharField', [], {'max_length': '200'})
        },
        'main.borrowhistory': {
            'Meta': {'object_name': 'BorrowHistory'},
            'borrowdate': ('django.db.models.fields.DateField', [], {}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'requester': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['auth.User']"}),
            'returndate': ('django.db.models.fields.DateField', [], {}),
            'userbook': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['main.UserBook']"})
        },
        'main.borrowlocation': {
            'Meta': {'object_name': 'BorrowLocation'},
            'actualUser': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'actualuser'", 'null': 'True', 'to': "orm['auth.User']"}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '200', 'null': 'True', 'blank': 'True'}),
            'facebookId': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'notes': ('django.db.models.fields.CharField', [], {'max_length': '1000', 'null': 'True', 'blank': 'True'}),
            'relatedTo': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'relatedto'", 'null': 'True', 'to': "orm['auth.User']"}),
            'twitterUsername': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'})
        },
        'main.borrowrequest': {
            'Meta': {'unique_together': "(('userbook', 'requester'),)", 'object_name': 'BorrowRequest'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'requestDate': ('django.db.models.fields.DateField', [], {}),
            'requester': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['auth.User']"}),
            'status': ('django.db.models.fields.CharField', [], {'max_length': '20'}),
            'userbook': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['main.UserBook']"})
        },
        'main.userbook': {
            'Meta': {'object_name': 'UserBook'},
            'book': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['main.Book']"}),
            'currentLocation': ('django.db.models.fields.related.ForeignKey', [], {'default': 'False', 'related_name': "'location'", 'null': 'True', 'blank': 'True', 'to': "orm['main.BorrowLocation']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'isLent': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'lentDate': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'}),
            'owner': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['auth.User']"}),
            'returndue': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'})
        },
        'main.userprofile': {
            'Meta': {'object_name': 'UserProfile'},
            'facebookId': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'twitterUsername': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'user': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['auth.User']", 'unique': 'True'})
        }
    }
    
    complete_apps = ['main']
