from django.db.models import F
from django.contrib.auth.models import User
from django.template import Context,loader
from datetime import date
import feedparser
from main.models import UserBook, Book, BorrowRequest


from django.shortcuts import render_to_response
from django.template import RequestContext

class DataUtils:
    
    def getBooksOwnedByUser(self, user):
        return UserBook.objects.filter(owner=user)
    
    def getBooksBorrowedByUser(self, user):
        return UserBook.objects.filter(isLent=True).filter(currentLocation__actualUser=user)
    
    def getBooksLentByUser(self, user):
        return UserBook.objects.filter(isLent=True).filter(owner=user)
    
    def sendBorrowRequest(self,book, requester):
        #send borrow mail
        request = BorrowRequest(userbook=book, requester=requester, requestDate=date.today())
        request.save()
        
    def borrowBook(self, book, Borrower, returnDate):
        if book.currentLocation == book.owner:
            book.currentLocation=Borrower
            book.returnDate=date.today()
        else:
            #book is already on loan, add to request queue
            pass
        
def safeDictGet(dict,key):
    if key in dict:
        return dict[key]
    else:
        return 0
    
def render_to_string(template, context={}):
    return loader.get_template(template).render(Context(context))

class Callable:
    def __init__(self, anycallable):
        self.__call__ = anycallable
