from django.contrib.auth.decorators import login_required
from django.shortcuts import render_to_response
from django.template import RequestContext
from main.models import UserBook, Book, BookList

import logging

logger = logging.getLogger(__name__)

def showUserBookList(request, listId):
    bookList = BookList.objects.get(id = listId)
    templateData = {'bookList':bookList}
    return render_to_response("booklists/userbooklist.html",templateData , RequestContext(request))

def createUserBookList(request):
    if 'name' in request.GET:
        newBookList = BookList(name=request.GET['name'],
                               description = request.GET['description'],
                               owner = request.user)
        newBookList.save()
        return editUserBookList(request, newBookList.id)
    return render_to_response("booklists/createuserbooklist.html", RequestContext(request))
    
def editUserBookList(request, listId):
    bookList = BookList.objects.get(id = listId)
    templateData  = {'bookList':bookList}
    if 'action' in request.GET and request.GET['action']=='update':
        userBookIds = []
        #params with the format "ub23" are userbook ids, so grab all of those ids into a list
        for param in request.GET:
            
            paramSplit = param.split('ub')
            if len(paramSplit) == 2:
                userBookIds.append(paramSplit[1])
        if len(userBookIds) > 0:
            bookList.books.clear()
            for userBookId in userBookIds:
                bookList.books.add(UserBook.objects.get(id = userBookId))
    
    return render_to_response("booklists/edituserbooklist.html", templateData, RequestContext(request))