from django.conf.urls.defaults import *

# Uncomment the next two lines to enable the admin:
from django.contrib import admin
import settings, bookgroups

admin.autodiscover()

sitename="idlelibrary"

print "MEDIA_URL: " + settings.MEDIA_URL[1:]
print "MEDIA_ROOT: " + settings.MEDIA_ROOT

profileUrls=patterns('',
    url(r'^$', 'main.views.users.profile', name="profile"),
    url(r'^profile/mybooks/?$', 'main.views.users.mybooks', name="mybooks"),
    url(r'^profile/mybooks/(?P<page>.*)', 'main.views.users.mybooks', name="mybooks"),
    url(r'^profile/(?P<view>.*)', 'main.views.users.profile', name="profile"),
    
    url(r'^login$', 'django.contrib.auth.views.login',name="login"),
    url(r'^register$', 'main.views.users.register',name="register"),
    url(r'^logout$', 'django.contrib.auth.views.logout', {'template_name':'site.html','next_page':'/'}, name="logout"),
    
    url(r'^changepassword$', 'django.contrib.auth.views.password_change',{'template_name':'registration/styled_password_change_form.html'}, name="changepassword"),
    url(r'^changepassworddone$', 'django.contrib.auth.views.password_change_done', {'template_name':'registration/styled_password_change_done.html'}, name="changepassworddone"),
    
    url(r'^passwordresetdone', 'django.contrib.auth.views.password_reset_done',{'template_name':'registration/styled_password_reset_done.html'}, name="resetpassworddone"),
    
    url(r'^passwordresetconfirm/(?P<uidb36>[0-9A-Za-z]+)-(?P<token>.+)', 'django.contrib.auth.views.password_reset_confirm',{'template_name':'registration/styled_password_reset_confirm.html'}, name="resetpasswordconfirm"),
    url(r'^passwordresetcomplete', 'django.contrib.auth.views.password_reset_complete',{'template_name':'registration/styled_password_reset_complete.html'}, name="resetpasswordcomplete"),
    url(r'^passwordreset', 'django.contrib.auth.views.password_reset',{'template_name':'registration/styled_password_reset_form.html', 'email_template_name':'emails/password_reset_email.txt'}, name="resetpassword"),
    
    
    url(r'^changeemail$', 'main.views.users.changeEmailAddress',name="changeemailaddress"), 
   
)


userUrls=patterns('',

    (r'^accounts/', include(profileUrls)),
    url(r'^signupadditional$', 'main.views.signup.signupAdditional',name="signupadditional"),
    
        
    url(r'^user/(?P<username>.*)', 'main.views.users.showUserProfile', name="userprofile"),
    url(r'^contact$', 'main.views.users.showContact', name="showcontact"),
    url(r'^allusers$', 'main.views.users.listAllUsers', name="allusers"),
    (r'^changegravatar$', 'django.views.generic.simple.direct_to_template', {'template': 'changegravatar.html'}, "changegravatar"),
    (r'^messages/', include('messages.urls')),
    (r'^notification/', include('notification.urls')),
    url(r'^removebooks$', 'django.views.generic.simple.direct_to_template', {'template': 'profile/removebooks.html'}, "removebooks"),
    
    url(r'^booklist/create$', 'main.views.booklists.createUserBookList', name="createUserBookList"),
    url(r'^booklist/edit/(?P<listId>.*)', 'main.views.booklists.editUserBookList', name="editUserBookList"),
    url(r'^booklist/(?P<listId>.*)', 'main.views.booklists.showUserBookList', name="userBookList"),
    
    
    
)


bookUrls=patterns('main.views',
    url(r'^addbook$', 'users.addBookToCurrentUser', name="addbook"),
    url(r'^removebook$', 'users.removeBookFromCurrentUser', name="removebook"),
    url(r'^searchbooks$', 'misc.searchBooks', name="booksearch"),
    url(r'^addbookfromsearch$', 'misc.addBookReturnToSearch', name="addbookfromsearch"),
    url(r'^borrowrequest$', 'borrow.borrowBook', name="borrowrequest"),
    url(r'^acceptrequestform$', 'borrow.acceptBorrowRequestForm',name="acceptrequestform"),
    url(r'^acceptrequest$', 'borrow.acceptBorrowRequest', name="acceptborrowrequest"),
    url(r'^removerequest$', 'borrow.removeRequest', name="removerequest"),
    url(r'^confirmexchange$', 'borrow.confirmExchange', name="confirmexchange"),
    url(r'^setbooklentto$', 'borrow.setBookLentTo', name="booklentto"),
    url(r'^notifyreturn$', 'borrow.notifyReturn', name="notifyreturn"),
    url(r'^book/(?P<gid>.*)$', 'misc.bookDetails', name="bookdetail"),
)



friendUrls=patterns('',
    url(r'^sendfriendrequest$', 'main.views.friendsviews.sendFriendRequest',name="sendfriendrequest"),
    url(r'^acceptfriendrequest$', 'main.views.friendsviews.confirmFriendRequest',name="acceptfriend"),
    url(r'^declinefriendrequest$', 'main.views.friendsviews.declineFriendRequest',name="declinefriend"),
    url(r'^removefriend$', 'main.views.friendsviews.removeFriend',name="removefriend"),
)

api=patterns('',
    url(r'^api/exportbooks$', 'django.views.generic.simple.direct_to_template', {'template': 'api/exportbooks.html'}, "bookexport"),
    url(r'^api/importbooks$', 'main.views.users.importBooksToCurrentUser', name="bookimport"),
    url(r'^api/importbooks$', 'main.views.users.parseIsbnList', name="isbnimportparse"),
    
)

miscUrls=patterns('',
    url(r'^api/getuserbooks$', 'main.views.api.getUserBooks',name="apigetbooks"),
    #url(r'^sendoverduenotices$', 'main.views.borrow.sendOverdueNotices',name="sendoverduenotices"),
    url(r'^emailsummary$', 'main.views.reminderemails.emailSummary', name="emailsummary"),
    url(r'^emailsummary/(?P<username>.*)$', 'main.views.reminderemails.emailSummary', name="emailsummary"),

    url(r'^media/(?P<path>.*)$', 'django.views.static.serve', {'document_root': settings.MEDIA_ROOT,'show_indexes': True},name="static"),
    url(r'^media/$', 'django.views.static.serve',name="mediaroot"),

    (r'^groups/', include('bookgroups.urls')),
    (r'^admin/', include(admin.site.urls)),
    url(r'^pages/', include('cms.urls')),
    url(r'^500error$','main.views.misc.testError'),
    
    
    # Uncomment the admin/doc line below and add 'django.contrib.admindocs' 
    # to INSTALLED_APPS to enable admin documentation:
    # (r'^admin/doc/', include('django.contrib.admindocs.urls')),
)

staticPages=patterns('',
    url(r'^credits$', 'django.views.generic.simple.direct_to_template', {'template': 'static/credits.html'},name="credits"),
    url(r'^/?$', 'main.views.misc.homePage', name="homepage")  
    
    #url(r'^/?$', 'django.views.generic.simple.direct_to_template', {'template': 'static/home.html'}, name="homepage")
)

#put together url patterns
fullUrls=userUrls+bookUrls+friendUrls+api+miscUrls+staticPages

urlpatterns=patterns('',
   (r'^', include(fullUrls)),
)

